epp_dcpRecipientType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0503.epp_dcpRecipientType class

### org.openrtk.idl.epp0503

# Class epp_dcpRecipientType

- `java.lang.Object`
- - `org.openrtk.idl.epp0503.epp_dcpRecipientType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_dcpRecipientType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class defining constant instances of data recipient types which describes EPP server's policy of data collection and management. Five recipient types are defined: OTHER_RECIPIENT, OURS, PUBLIK, SAME, UNRELATED. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0503/epp_dcpRecipientType.java,v 1.2 2003/09/10 21:29:56 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:56 $

See Also:
  `epp_dcpStatement`, `EPPGreeting`

  ## Field Summary
  `static epp_dcpRecipientType` | `OTHER_RECIPIENT` Instance of epp_dcpRecipientType representing the OTHER_RECIPIENT recipient type.
  `static epp_dcpRecipientType` | `OURS` Instance of epp_dcpRecipientType representing the OURS recipient type.
  `static epp_dcpRecipientType` | `PUBLIK` Instance of epp_dcpRecipientType representing the PUBLIK recipient type.
  `static epp_dcpRecipientType` | `SAME` Instance of epp_dcpRecipientType representing the SAME recipient type.
  `static epp_dcpRecipientType` | `UNRELATED` Instance of epp_dcpRecipientType representing the UNRELATED recipient type.
  `static int` | `_OTHER_RECIPIENT` Integer value representing the OTHER_RECIPIENT recipient type.
  `static int` | `_OURS` Integer value representing the OURS recipient type.
  `static int` | `_PUBLIK` Integer value representing the PUBLIK recipient type.
  `static int` | `_SAME` Integer value representing the SAME recipient type.
  `static int` | `_UNRELATED` Integer value representing the UNRELATED recipient type.

  ## Constructor Summary
  `epp_dcpRecipientType(int value)` For internal use only.

  ## Method Summary
  `static epp_dcpRecipientType` | `from_int(int value)` Transform an integer into a epp_dcpRecipientType constant.
  `String` | `toString()`
  `int` | `value()` Accessor method for the internal integer representing the data recipient type.

## Field Details

### OTHER_RECIPIENT

    public static final epp_dcpRecipientType OTHER_RECIPIENT

> Instance of epp_dcpRecipientType representing the OTHER_RECIPIENT recipient type.

### OURS

    public static final epp_dcpRecipientType OURS

> Instance of epp_dcpRecipientType representing the OURS recipient type.

### PUBLIK

    public static final epp_dcpRecipientType PUBLIK

> Instance of epp_dcpRecipientType representing the PUBLIK recipient type.

### SAME

    public static final epp_dcpRecipientType SAME

> Instance of epp_dcpRecipientType representing the SAME recipient type.

### UNRELATED

    public static final epp_dcpRecipientType UNRELATED

> Instance of epp_dcpRecipientType representing the UNRELATED recipient type.

### _OTHER_RECIPIENT

    public static final int _OTHER_RECIPIENT

> Integer value representing the OTHER_RECIPIENT recipient type.
> Field Value:
>   0
> See Also:
>   `OTHER_RECIPIENT`

### _OURS

    public static final int _OURS

> Integer value representing the OURS recipient type.
> Field Value:
>   1
> See Also:
>   `OURS`

### _PUBLIK

    public static final int _PUBLIK

> Integer value representing the PUBLIK recipient type.
> Field Value:
>   2
> See Also:
>   `PUBLIK`

### _SAME

    public static final int _SAME

> Integer value representing the SAME recipient type.
> Field Value:
>   3
> See Also:
>   `SAME`

### _UNRELATED

    public static final int _UNRELATED

> Integer value representing the UNRELATED recipient type.
> Field Value:
>   4
> See Also:
>   `UNRELATED`

## Constructor Details

### epp_dcpRecipientType

    protected epp_dcpRecipientType(int value)

> For internal use only. Initializes the internal recipient type array.
> Parameters:
>   `value` - The integer value for the desired recipient type

## Method Details

### from_int

    public static epp_dcpRecipientType from_int(int value)

> Transform an integer into a epp_dcpRecipientType constant. Given the integer representation of the recipient type, returns one of the recipient type constants.
> Parameters:
>   `value` - The integer value for the desired recipient type

### toString

    public String toString()

### value

    public int value()

> Accessor method for the internal integer representing the data recipient type.
> Returns:
>   The integer value of this recipient type

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS